Package twisted :: Package protocols :: Module imap4

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.imap4

An IMAP4 protocol implementation

API Stability: Semi-stable

Author: Jp Calderone<mailto:exarkun@twistedmatrix.com>

Classes
`IMAP4Server` | Protocol implementation for an IMAP4rev1 server.
`IMAP4Client` | IMAP4 client protocol implementation
`CramMD5ServerAuthenticator` |
`CramMD5ClientAuthenticator` |
`MemoryAccount` |

Exceptions
`IMAP4Exception` |
`IllegalClientResponse` |
`IllegalOperation` |
`IllegalMailboxEncoding` |
`UnhandledResponse` |
`NegativeResponse` |
`NoSupportedAuthentication` |
`IllegalServerResponse` |
`IllegalIdentifierError` |
`IllegalQueryError` |
`MismatchedNesting` |
`MismatchedQuoting` |
`MailboxException` |
`MailboxCollision` |
`NoSuchMailbox` |
`ReadOnlyMailbox` |

Variable Summary
`MetaInterface` | `IMailboxListener`
`MetaInterface` | `IServerAuthentication`
`MetaInterface` | `IClientAuthentication`
`MetaInterface` | `IAccount`
`MetaInterface` | `IMailbox`

Variable Details

### IAccount

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.protocols.imap4.IAccount'>

### IClientAuthentication

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.protocols.imap4.IClientAuthentication'>

### IMailbox

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.protocols.imap4.IMailbox'>

### IMailboxListener

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.protocols.imap4.IMailboxListener'>

### IServerAuthentication

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.protocols.imap4.IServerAuthentication'>

Generated by Epydoc 1.1 on Thu May 8 13:16:38 2003 | http://epydoc.sf.net